MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000075SoldatGUIpublic2011-10-01 14:502013-12-15 11:16
Reporterskoskav 
Assigned Toskoskav 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.0 
Target VersionFixed in Version1.6.3 
Summary0000075: Volume controls should not be linear
DescriptionThe linear volume controls in Soldat doesn't represent the way puny humans perceive loudness. Going from 100 to 50 in Soldat's linear layout just halves the audio level. Going from 50 to 1 is a fifty time reduction in volume, meaning the effectiveness of the controls varies not by how much you change the volume, but by how high volume you're going from.

You want the controls to be as meaningful and precise whether you want low, normal or high volume. Going from 90 to 91 is just over a 1% increase which is impossible to notice. Going from 4 to 5 is a 25% increase, which is a way too big jump.

The way other software correct this behavior is to implement a volume control that follows an exponential curve - typically:

(exp(6.909 * 10^-2 * x) - 1) / 10

where x is the value of the volume slider (0-100).

http://skoskav.org/etc/soldat/etc/volumecontrols.png [^]
Additional InformationFurther reading: http://www.dr-lex.be/info-stuff/volumecontrols.html [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-10-01 14:50 skoskav New Issue
2012-03-19 03:05 skoskav Assigned To => skoskav
2012-03-19 03:05 skoskav Status new => assigned
2012-03-19 03:05 skoskav Status assigned => resolved
2012-03-19 03:05 skoskav Fixed in Version => 1.6.3
2012-03-19 03:05 skoskav Resolution open => fixed
2013-12-15 11:16 homerofgods Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker